Skip to main content
GET
/
api
/
events
/
{id}
Get Event
curl --request GET \
  --url https://api.rapidly.tech/api/events/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "timestamp": "2023-11-07T05:31:56Z",
  "workspace_id": "<string>",
  "customer_id": "<string>",
  "customer": {
    "id": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "modified_at": "2023-11-07T05:31:56Z",
    "metadata": {},
    "external_id": "usr_1337",
    "email": "<string>",
    "email_verified": true,
    "name": "John Doe",
    "billing_address": {
      "country": "AD",
      "line1": "<string>",
      "line2": "<string>",
      "postal_code": "<string>",
      "city": "<string>",
      "state": "<string>"
    },
    "workspace_id": "<string>",
    "deleted_at": "2023-11-07T05:31:56Z",
    "avatar_url": "<string>",
    "type": "individual"
  },
  "external_customer_id": "<string>",
  "label": "<string>",
  "source": "<string>",
  "name": "<string>",
  "metadata": {
    "customer_id": "<string>",
    "customer_email": "<string>",
    "customer_name": "<string>",
    "customer_external_id": "<string>"
  },
  "member_id": "<string>",
  "external_member_id": "<string>",
  "child_count": 0,
  "parent_id": "<string>"
}

Authorizations

Authorization
string
header
required

Create an Workspace Access Token in your workspace's settings page.

Path Parameters

id
string<uuid4>
required

The event ID.

Response

Successful Response

An event created by Rapidly when a customer is created.

id
string<uuid4>
required

The ID of the object.

timestamp
string<date-time>
required

The timestamp of the event.

workspace_id
string<uuid4>
required

The ID of the workspace owning the event.

Example:

"1dbfc517-0bbf-4301-9ba8-555ca42b9737"

customer_id
string<uuid4> | null
required

ID of the customer in your Rapidly workspace associated with the event.

customer
Customer · object
required

The customer associated with the event.

external_customer_id
string | null
required

ID of the customer in your system associated with the event.

label
string
required

Human readable label of the event type.

source
string
required

The source of the event. system events are created by Rapidly. user events are the one you create through our ingestion API.

Allowed value: "system"
name
string
required

The name of the event.

Allowed value: "customer.created"
metadata
CustomerCreatedMetadata · object
required
member_id
string<uuid4> | null

ID of the member within the customer's workspace who performed the action inside B2B.

external_member_id
string | null

ID of the member in your system within the customer's workspace who performed the action inside B2B.

child_count
integer
default:0

Number of direct child events linked to this event.

parent_id
string<uuid4> | null

The ID of the parent event.